Loading...
Searching...
No Matches
Opm::GasLiftCommon< Scalar, IndexTraits > Class Template Referenceabstract
Inheritance diagram for Opm::GasLiftCommon< Scalar, IndexTraits >:

## Protected Types

enum class | MessageType { INFO , WARNING }

## Protected Member Functions

| GasLiftCommon (WellState< Scalar, IndexTraits > &well_state, const GroupState< Scalar > &group_state, DeferredLogger &deferred_logger, const Parallel::Communication &comm, bool glift_debug)
virtual void | displayDebugMessage_ (const std::string &msg) const =0
void | displayDebugMessageOnRank0_ (const std::string &msg) const
void | logMessage_ (const std::string &prefix, const std::string &msg, MessageType msg_type=MessageType::INFO) const

## Protected Attributes

WellState< Scalar, IndexTraits > & | well_state_
const GroupState< Scalar > & | group_state_
DeferredLogger & | deferred_logger_
const Parallel::Communication & | comm_
bool | debug
bool | debug_output_only_on_rank0 = false

The documentation for this class was generated from the following files:

- opm/simulators/wells/GasLiftCommon.hpp
- opm/simulators/wells/GasLiftCommon.cpp